summaryrefslogtreecommitdiff
path: root/tests/vloghtb/run-test.sh
diff options
context:
space:
mode:
authorClifford Wolf <clifford@clifford.at>2014-07-20 02:19:44 +0200
committerClifford Wolf <clifford@clifford.at>2014-07-20 02:19:44 +0200
commit3f9f0c047d46f8b84a5a73e6c9437d0ee3793324 (patch)
tree5de57fbb6abaf47e4ecb7a14bea34f6ef695486d /tests/vloghtb/run-test.sh
parenta30e2857c730c1adc1c6af2c995059af904eec0b (diff)
Added tests/vloghtb
Diffstat (limited to 'tests/vloghtb/run-test.sh')
-rwxr-xr-xtests/vloghtb/run-test.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tests/vloghtb/run-test.sh b/tests/vloghtb/run-test.sh
new file mode 100755
index 00000000..9bef4450
--- /dev/null
+++ b/tests/vloghtb/run-test.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -ex
+
+rm -rf Makefile refdat rtl scripts spec vloghammer_tb.tar.bz2
+wget http://www.clifford.at/yosys/nogit/vloghammer_tb.tar.bz2
+tar --strip=1 -xjf vloghammer_tb.tar.bz2
+
+make clean
+make -j4 YOSYS_BIN=$PWD/../../yosys YOSYS_SCRIPT="proc;;" check_yosys
+